=== debian/watch ===
version=3
http://pkg-ruby-extras.alioth.debian.org/cgi-bin/gemwatch/hammer_cli_foreman .*/hammer_cli_foreman-(.*).tar.gz
